Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987484 - RFE: Swap size limitation should be designated in man page mkswap [NEEDINFO]
Summary: RFE: Swap size limitation should be designated in man page mkswap
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng
Version: 6.6
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Karel Zak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-23 13:22 UTC by Michael Hood
Modified: 2018-12-04 15:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-06 09:12:08 UTC
Target Upstream Version:
kzak: needinfo? (mihood)


Attachments (Terms of Use)

Description Michael Hood 2013-07-23 13:22:55 UTC
Description of problem:

The mkswap man page lists the maximum values for certain architectures but does not list that in RHEL 6 there is a 128GB limit. Customer got the follwoing error while trying to build a nes server:

???????????? Error Partitioning ?????????????
?                                            ?
? Could not allocate requested partitions:   ?
?                                            ?
? partition is too large for swap formatting ?
? (allowable size is 0 MB to 131072 MB).     ?                 
?                                            ?                 
? Press 'OK' to exit the installer.          ?


Version-Release number of selected component (if applicable):
Rhel 6.6

How reproducible:
NOTES
       The  maximum useful size of a swap area depends on the architecture and
       the kernel version.  It is roughly 2GiB on i386, PPC, m68k,  ARM,  1GiB
       on sparc, 512MiB on mips, 128GiB on alpha and 3TiB on sparc64. For ker-
       nels after 2.3.3 there is no such limitation.


Steps to Reproduce:
1.
2.
3.

Actual results:

man mkswap:

NOTES
       The  maximum useful size of a swap area depends on the architecture and
       the kernel version.  It is roughly 2GiB on i386, PPC, m68k,  ARM,  1GiB
       on sparc, 512MiB on mips, 128GiB on alpha and 3TiB on sparc64. For ker-
       nels after 2.3.3 there is no such limitation.




Expected results:

This should be a doc change in the man page. 


Additional info:

Comment 2 David Cantrell 2013-07-31 18:24:54 UTC
mkswap is owned by util-linux-ng.

We follow this formula for swap space calculation during automatic partitioning:
https://home.corp.redhat.com/wiki/swap-size-recommendations

Not sure if you want to mention that in the mkswap man page.

Comment 3 Karel Zak 2013-08-01 12:33:47 UTC
That's question if we want to maintain RHEL/fedora specific patches.

The man page mkswap.8 describes kernel limitations and I don't see reason why all our tools are not able to follow kernel and why we have any extra limitation defined by installer.

Anyway, I can add something like:

The size of the swap partition can be limited by system installer,   partitioning tool or another system component although kernel have no such limitation. See distribution specific documentation for more details.

Comments?

Comment 4 Karel Zak 2013-08-01 12:38:56 UTC
.. or 128GB is RHEL6 *kernel* limit?

Comment 6 Kazuhiro Sota 2014-09-04 04:12:19 UTC
It is not reproduced on the lvm.
Can only reproduce behavior on the physical partition.

Maybe a specification of the anaconda.


Note You need to log in before you can comment on or make changes to this bug.